cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 1.9.1.1 upgrade to latest 1.9x version

Magento 1.9.1.1 upgrade to latest 1.9x version

Hi
I have a customer on Magento 1.9.1.1 that wanted to upgrade to version 2, but we have abandoned that as the theme is use wouldn't convert. So they want to go to the latest 1.9.x release instead.
Can anyone give me instructions on the best way to do this please?
I keep seeing reference to SUPEE-7405 v 1.0 patch before doing anything, but I can't find the download for this
If anyone could give me both the instructions and the URL for all the downloads I would need, that would be great
Thanks & Regards
PaulG

9 REPLIES

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

You can check which patches you'll need: http://fabrizioballiano.net/magento-patches/ (this isn't an official list but it helps)

 

Then you'll need to apply each one to those missing patches on your store.

Another way (don't do it if you're not completely sure) is to download 1.9.2.4 and override all Magento files.

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

Hi Damian

Thanks for the response. I hardly know Magento at all, so if there's a quicker way to do it all in one hit, I'm all for that!

Is the download and subsequent install just a set of files to overwrite on the existing site - i.e. no database conversions/updates or site reconfiguring?

Thanks again

 

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

Basically any possible database upgrade will be executed by the Magento installers on each module.

If you're not sure I sugegst to contact qualified help. Isn't hard. You don't need a lot of time neither.

But maybe you'll prefer to get some help in case of any trouble.

 

Patches can be applied using the command line (here's an official document: http://info2.magento.com/rs/magentosoftware/images/Installing-a-Patch-for-Magento-Community-Edition.... )

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

If you have problem about upgrade magento data and conflict theme, you can seek help from Lit-extension to find a simple solution for your problem.

Read it: http://www.instructables.com/id/Magento-to-Magento-19-Migration-Tool/. Hope it helpful

 

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

@Damian Culotta

 

Can I set up a clean 1.9.3.8 install and just export my data from 1.9.1.1?

 

That to me seems the easiest route.

 

Thanks!

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

Hi @aMiSTACX,

 

You should be able to do that (there aren't risky changes at database level).

Please remember to make a BACKUP of everything before (just in case you need to go back to the previous state).

 

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

Would love to hear if the upgrading from 1.9.1.1 to 1.9.3.8 went smoothly as I'm looking to do the same.

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

Hi,

I tried to upgrade Magento from 1.9.0.1 to latest version 1.9.3.8, but in the system log we are getting the following error and site is broken(Both Frontend and Backend).

Deprecated functionality: iconv_set_encoding(): Use of iconv.internal_encoding is deprecated  in /var/www/html/strategic/lib/Zend/Locale/Format.php

Any suggestions..... Please.....

Re: Magento 1.9.1.1 upgrade to latest 1.9x version

Hi @RizeTech,

 

I'm not fully sure but I guess is related with the PHP version.

Which version are you using?

Maybe this patch can help you? https://gist.github.com/renttek/29beaaa1e90909639501

(Remember to perform a backup of your files before change any file)

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"